package com.jjt.emp.service;

import java.util.List;
import com.jjt.emp.domain.TwinEmpConfig;

/**
 * 密度价格配置Service接口
 *
 * @author wukai
 * @date 2025-01-18
 */
public interface ITwinEmpConfigService {
    /**
     * 查询密度价格配置
     *
     * @param configId 密度价格配置主键
     * @return 密度价格配置
     */
    public TwinEmpConfig selectTwinEmpConfigByConfigId(Long configId);

    /**
     * 查询密度价格配置列表
     *
     * @param twinEmpConfig 密度价格配置
     * @return 密度价格配置集合
     */
    public List<TwinEmpConfig> selectTwinEmpConfigList(TwinEmpConfig twinEmpConfig);

    /**
     * 新增密度价格配置
     *
     * @param twinEmpConfig 密度价格配置
     * @return 结果
     */
    public int insertTwinEmpConfig(TwinEmpConfig twinEmpConfig);

    /**
     * 修改密度价格配置
     *
     * @param twinEmpConfig 密度价格配置
     * @return 结果
     */
    public int updateTwinEmpConfig(TwinEmpConfig twinEmpConfig);

    /**
     * 批量删除密度价格配置
     *
     * @param configIds 需要删除的密度价格配置主键集合
     * @return 结果
     */
    public int deleteTwinEmpConfigByConfigIds(Long[] configIds);

    /**
     * 删除密度价格配置信息
     *
     * @param configId 密度价格配置主键
     * @return 结果
     */
    public int deleteTwinEmpConfigByConfigId(Long configId);
}
